Summary:        Perl interface to OpenSSL for RSA
Name:           perl-Crypt-OpenSSL-RSA
Version:        0.33
Release:        3%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Crypt-OpenSSL-RSA
Source0:        https://cpan.metacpan.org/authors/id/T/TO/TODDR/Crypt-OpenSSL-RSA-%{version}.tar.gz

BuildRequires: perl(Test) perl(Test::More)
BuildRequires: perl(Carp) perl(Crypt::OpenSSL::Bignum) perl(Crypt::OpenSSL::Random) perl(XSLoader) perl(base)
BuildRequires: perl(strict) perl(warnings) perl(AutoLoader)
BuildRequires: perl(Crypt::OpenSSL::Guess) >= 0.11 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires: perl-devel perl-generators perl-interpreter perl(:VERSION) >= 5.6
BuildRequires: gcc findutils make openssl openssl-devel

Requires:       perl(Crypt::OpenSSL::Random)
Requires:	perl(Crypt::OpenSSL::Bignum)

%description
Crypt::OpenSSL::RSA - RSA encoding and decoding, using the openSSL libraries

%prep
%autosetup -p1 -n Crypt-OpenSSL-RSA-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt/
%{_libdir}/perl5/perllocal.pod
%{_mandir}/man3/*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.33-2
- Rebuilt for loongarch release

* Wed Jan 03 2024 Upgrade Robot <upbot@opencloudos.org> - 0.33-1
- Upgrade to version 0.33

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32-4
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.32-3
- Remove perl-libs which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.32-2
- Rebuilt for OpenCloudOS Stream 23.05

* Tue Apr 04 2023 cunshunxia <cunshunxia@tencent.com> - 0.32-1
- initial build
